hw-prim-0.6.3.2: Primitive functions and data types

Safe Haskell | Safe-Inferred
Language | Haskell2010

HaskellWorks.Data.Sign

# Documentation

class Sign a where #

Associated Types

type SignOf a #

Methods

sign :: a -> SignOf a #

#### Instances

Instances details

Sign Int16 # |

Instance details

Defined in HaskellWorks.Data.Sign

Associated Types

type SignOf Int16 |
Instance details Defined in HaskellWorks.Data.Sign type SignOf Int16 = Int16

Methods

sign :: Int16 -> SignOf Int16 #

Sign Int32 # |

Instance details

Defined in HaskellWorks.Data.Sign

Associated Types

type SignOf Int32 |
Instance details Defined in HaskellWorks.Data.Sign type SignOf Int32 = Int32

Methods

sign :: Int32 -> SignOf Int32 #

Sign Int64 # |

Instance details

Defined in HaskellWorks.Data.Sign

Associated Types

type SignOf Int64 |
Instance details Defined in HaskellWorks.Data.Sign type SignOf Int64 = Int64

Methods

sign :: Int64 -> SignOf Int64 #

Sign Int8 # |

Instance details

Defined in HaskellWorks.Data.Sign

Associated Types

type SignOf Int8 |
Instance details Defined in HaskellWorks.Data.Sign type SignOf Int8 = Int8

Methods

sign :: Int8 -> SignOf Int8 #

Sign Word16 # |

Instance details

Defined in HaskellWorks.Data.Sign

Associated Types

type SignOf Word16 |
Instance details Defined in HaskellWorks.Data.Sign type SignOf Word16 = Int16

Methods

sign :: Word16 -> SignOf Word16 #

Sign Word32 # |

Instance details

Defined in HaskellWorks.Data.Sign

Associated Types

type SignOf Word32 |
Instance details Defined in HaskellWorks.Data.Sign type SignOf Word32 = Int32

Methods

sign :: Word32 -> SignOf Word32 #

Sign Word64 # |

Instance details

Defined in HaskellWorks.Data.Sign

Associated Types

type SignOf Word64 |
Instance details Defined in HaskellWorks.Data.Sign type SignOf Word64 = Int64

Methods

sign :: Word64 -> SignOf Word64 #

Sign Word8 # |

Instance details

Defined in HaskellWorks.Data.Sign

Associated Types

type SignOf Word8 |
Instance details Defined in HaskellWorks.Data.Sign type SignOf Word8 = Int8

Methods

sign :: Word8 -> SignOf Word8 #

Sign Int # |

Instance details

Defined in HaskellWorks.Data.Sign

Associated Types

type SignOf Int |
Instance details Defined in HaskellWorks.Data.Sign type SignOf Int = Int

Methods

sign :: Int -> SignOf Int #

Sign Word # |

Instance details

Defined in HaskellWorks.Data.Sign

Associated Types

type SignOf Word |
Instance details Defined in HaskellWorks.Data.Sign type SignOf Word = Int

Methods

sign :: Word -> SignOf Word #